CourseLit logoCourseLit Docs
Api reference

Get a product payment plan

GET
/api/products/{productId}/payment-plans/{planId}

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Path Parameters

productId*string
planId*string

Response Body

application/json

application/json

curl -X GET "https://school.courselit.app/api/products/string/payment-plans/string"
{
  "planId": "string",
  "name": "string",
  "type": "free",
  "entityId": "string",
  "entityType": "string",
  "oneTimeAmount": 0,
  "emiAmount": 0,
  "emiTotalInstallments": 0,
  "subscriptionMonthlyAmount": 0,
  "subscriptionYearlyAmount": 0,
  "description": "string",
  "isDefault": true
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}